If you have any feedback or ideas, please put them into this google form https://forms.gle/PwdwL98AbTrVLsuKA! Alternatively, you can DM me on Discord @duck duck grey duck#0658

## Mod Overview
ArtificerExtended introduces a handful of new skills for Artificer with the intention of adding new, varied gameplay styles in creative ways. This is built with compatability for AlternativeArtificer as a primary goal. Currently introduces 5 new abilities: SNOWBALLS, ICE SHARDS, FOCUS NANO-METEOR, NAPALM CASCADE, and ROLLING THUNDER!

Additionally, this mod also gives slight buffs to a few of the underperforming parts of Artificer's base kit. They are as follows:
Plasma Bolts - AoE radius increased from 4 to 5.
Snapfreeze - Base cooldown duration reduced from 12 seconds to 10.

## New Primary Skills: "Snowballs" and "Ice Shards"
Snowballs are an ICE m1 that, unlike her other bolts, are un-limited by cooldown. This means they can scale perfectly with attack speed - a great asset for lategame and ion surge users!

Ice Shards are another ICE m1 with a low range shotgun-like fire. This skill is designed for high risk, high reward play - it synergizes great with her other low range skills, like flamethrower, and the new Napalm!

Note: These skills DO contribute to the "ice" part of AlternativeArtificer's passive, however theyre unable to freeze + execute enemies on their own, so you will need to pick another ice skill to benefit from the ice passive. I am considering adding an additional way for these abilities to scale with the passive, at least until Rein updates AlternateArtificer to accomodate for it.

## New Secondary Skill: "Focus Nano-Meteor"
Nano-Meteor is a FIRE m2 that, unlike her other nanos, has no projectile or travel time. It casts and summons where you aim, offering a new approach to high damage combat. Charging Nano-Meteor increases it's AoE size, and increases the amount of hits it creates, applying multiple stacks of burn in an area.

New Utility Skills: "Napalm Cascade" and "Rolling Thunder"
Napalm Cascade is a FIRE alternative to snapfreeze. It sprays a cone of napalm puddles extending outwards from the player, with the ability to CHARGE IT UP (much like the charging of Nanobombs and Nanospears) to tune the spread. Much like the new Ice Shards, Napalm is intended to reward risky play styles, as well as synergizing with the outward piercing attacks of Flamethrower and Nanospears! Like Snapfreeze, it can be used either as a tool to maximize damage output, or for area denial.

Note: The Napalm "burn" scales damage per tick with the "fire" part AlternateArtificer's passive.

Rolling Thunder is a LIGHTNING utility, which is uniquely capable of targeting aerial enemies. It presents an alternative with snapfreeze, offering more controlled damage and stuns on command. Thunder's charge system allows the choice to either use strikes as they come off cooldown, or save them up to stunlock a target for a longer time.

## Changelog
### 1.4.2
```
	Snowballs:
- Proc coefficient increased (0.7 -> 1.0)
- Attack duration reduced (0.8 -> 0.7)
- Damage reduced (220% -> 140%)
	Ice Shards:
- Reduced recoil amplitude (2.5 -> 1.5)
	Thunder:
- Reduced max charges (3 -> 2)
- Increased damage back up to 750%
(*As it turns out, my issue with damage was moreso with it's high burst when you save up Thunders, so with this change burst potential is quite greatly reduced and as such I brought the damage potential back up.)
	Other:
- Reformatted Thunderstore patch notes
- Artificer head length increased by 0.02%
```
### 1.4.1
```
	Meteor:
- Now rolls for crit on cast rather than individually for each meteor
- Removed some debug messages I left in when casting (sorry for spamming your output logs lol)
	Napalm:
- Increased Napalm impact damage (200-400% -> 400-600%)
(*Napalm didnt feel very satisfying to use very offensively by casting ON an enemy, I found myself using it more proactively and defensively than I had intended when I was designing it. This damage boost should help alleviate that.)
	Other:
- Increased Plasma Bolt aoe radius (4 -> 5)
- Rearranged formatting in the Thunderstore description
- Extended Artificer's head by another WHOPPING 10.2%! The biggest increase yet!
```

### 1.4.0: Nano-Meteor
```
	NEW:
- Added 1 new skill: FOCUS NANO-METEOR
	Napalm:
- Added short delays between each Napalm shot to make it feel approx 13% cooler
	Thunder:
- Fixed a bug where Thunder was creating children projectiles when its not supposed to
	Other:
- Updated mod description
- Fixed some more Thunderstore misinformation
- Further extended Artificer's head length by 7.1%
```

### 1.3.2
```
	Thunder:
- Reduced Thunder damage back down to 600%, but removed damage falloff
(* In hindsight, having 750% damage near-guaranteed on an instant-cast attack was not a great idea, and definitely not in line with Snapfreeze)
- Slightly reduced the height at which Thunder bolts spawn above their target location
(*This should make it easier to hit small targets directly.)
- Increased Rolling Thunder proc coefficient (0.5 -> 0.6)
- Expanded the Thunder bolt cone of fire
- Reduced attack duration (0.5s -> 0.3s)
	Napalm:
- Reduced Napalm projectile count
- Reduced Napalm "burn" tick damage (3 -> 2)
	Other:
- Increased Snapfreeze cooldown back up to 10
- Fixed yet another naming error on Thunderstore
- Extended Artificer's head by another 5.2%
```

### 1.3.1 
```
	Thunder:
- Reduced cooldown (6 -> 5)
- Increased total damage (600% -> 750%)
(* These changes are specifically to help keep it in line with Snapfreeze, as I made these values to match Snapfreeze before I buffed it)
- Reduced Thunder bolt initial velocity (35 -> 23). 
(*This reduces air time (it makes them come back down sooner))
	Other:
- Artificer's head length has been increased by another 3%
```

### 1.3.0: Rolling Thunder 2.0 & Snapfreeze Buff
```
	Thunder:
- Reworked Rolling thunder. It now has 3 total projectiles, and double the total damage. Approximately 312.7% cooler.
	Other:
- Snapfreeze cooldown reduced (12s -> 8s). 
(*This should make it easier to create and balance new utilities without having to neuter them for the sake of "sidegrading" Snapfreeze.)
- Fixed all kinds of Thunderstore formatting and information issues.
- Artificer's head is 10% longer.
```

### 1.2.1
```
	Snowball:
- Changed Snowball velocity (40 -> 80)
(*Snowballs now match the velocity of firebolts and plasmabolts)
```

### 1.2.0: Rolling Thunder
```
	New:
- Added 1 new skill: ROLLING THUNDER
	Napalm:
- Further reduced Napalm "burn" tick damage (5 -> 3)
	Other:
- Fixed a few errors regarding networking
- Updated Thunderstore formatting in some spots
```

### 1.1.1
```
	Napalm:
- Renamed to Napalm Cascade
- Reduced projectile count (15 -> 12)
- Increased AOE/decal size (2 -> 3)
(* Napalm originally had a LOT of projectiles firing at once to make up for a small AOE size, to help cover large areas at a decent range, but as I learned to tune more numbers that became less necessary. These changes effectively keep the napalm's effectiveness at mid-long ranges the same or even better, while nerfing the insane burn damage that could be stacked in a single spot should you fire it at point-blank)
- Reduced "burn" tick proc coefficient to 0
- Increased impact proc coefficient (0.5 -> 0.6)
```

### 1.1.0: Napalm Barrage and Ice Shards
```
	NEW:
- Added 2 new skills: NAPALM BARRAGE and ICE SHARDS
	Snowball:
- Added clarification to the effects of snowballs on the AlternateArtificer passive
	Other:
- Updated mod thumbnail + description
- Removed CLAPFREEZE (Rest In Peace, You Will Remain Forever In Our Hearts)
```

### 1.0.0: First release
```
- Introduced SNOWBALLS and CLAPFREEZE
```
